Address verification
Verify a business address, including street-view imagery when available. URL parameters should be properly URL-encoded.
Query Parameters
- Type: stringapp
_id requiredUnique identifier for the application
- Type: stringbusiness
_name Legal name of the business. Looked up from the application if omitted.
- Type: stringaddress
Business address to verify. Looked up from the application if omitted.
Responses
- application/json
- application/json
- 401
Missing or invalid Bearer token. Response body is empty.
- application/json
- application/json
Request Example for get/application/address-verification
curl 'https://api.kaaj.ai/application/address-verification?app_id=' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"from_db": true,
"address_verification": {
"id": 1,
"business_name": "string",
"address": "string",
"verification_data": {
"is_present": true,
"business_name": "string",
"can_see_buildings": true,
"neighborhood_type": "string",
"can_see_business_sign": true,
"street_view_image_present": true
},
"app_id": "string",
"search_result": {
"found": true,
"matched_address": null
},
"azure_image_url": [
"https://example.com"
],
"street_view_metadata": {
"additionalProperty": "anything"
},
"street_view_image_urls": [
"https://example.com"
]
}
}
